% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/update_citation.R
\name{update_citation}
\alias{update_citation}
\title{Update the citation file for the dataset.}
\usage{
update_citation(doi)
}
\arguments{
\item{doi}{DOI(Digital Object Identifier), e.g., 10.5281/zenodo.11185699}
}
\value{
NULL. A citation .cff file is written under the root directory.
}
\description{
Create a citation *.cff file for the released dataset from a given DOI(Digital
Object Identifier). It adds the DOI badge to the README RMarkdown file and
re-build the README.md and pkgdown website if exists.
}
\examples{
\dontshow{
.old_wd <- setwd(tempdir())
}
\dontrun{
  update_citation(doi = "10.5281/zenodo.11185699")
}
\dontshow{
setwd(.old_wd)
}

}
